Skip to main content
PATCH
Update automation trigger

Authorizations

Authorization
string
header
required

Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.

Headers

X-Workspace-ID
string<uuid>

Company UUID for a personal token on company-scoped operations. A company API key already binds its company.

Path Parameters

id
string
required

id from the corresponding authorized response.

triggerId
string
required

triggerId from the corresponding authorized response.

Body

application/json
enabled
boolean
cron_expression
string | null
timezone
string | null
label
string | null
event_filters
object[] | null
integration_trigger
object
idempotency_key
string

Stable request key for a company definition edit.

Response

Successful response.

company_commit_sha
string
required
id
string
required
automation_id
string
required
kind
string
required
enabled
boolean
required
cron_expression
string | null
required
timezone
string | null
required
next_fire_at
string | null
required
webhook_token
string | null
required
webhook_path
string | null
required
webhook_url
string | null
required
provider
string | null
required
has_signing_secret
boolean
required
signing_secret_hint
string | null
required
label
string | null
required
last_fired_at
string | null
required
created_at
string
required
updated_at
string
required
integration_trigger
object | null
integration_status
string
integration_error
string | null
provider_trigger_id
string | null
event_filters
object[]